#ifndef _MUCKBBANG_H
#define _MUCKBBANG_H

#include <stdio.h>
#define	ID_MUCKBBANG	(0)
#define	ID_SICKBBANG	(1)
#define ID_MOOLBBANG	(2)
#define ID_SOOLBBANG	(3)

#define BBANG_WEIGHT	(10)
#define INIT_WEIGHT		(10000)

#pragma once
class MuckBBang
{
protected:
	int weight;
	char id[BUFSIZ];
public:
	MuckBBang(char *name);
	~MuckBBang(void);
	inline void addWeight(int w) { weight = weight + w; }
	virtual void eatAppetizer();
	virtual void eatEntree(int n);
	virtual void eatDessert();
	virtual void digest();
	virtual void print() = 0;
	virtual int howManyDoYouWant() { return 0; }
	virtual int whoAreYou() { return ID_MUCKBBANG; }
};

#endif
